package com.cym.utils.cert;

import lombok.Data;

/**
 * @author ZhangSan_Plus
 * @version 1.0
 * @className CertificateChain
 * @description 
 * @date 2022/9/1 13:59
 **/
@Data
public class CertificateChain {
    private String issuedTo;
    private String issuer;
    private String encryptionAlgorithm;
    private String signAlgorithm;
    private String certFingerprint;
    private String publicKeyPINValue;
    private String validityPeriod;
	public String getIssuedTo() {
		return issuedTo;
	}
	public void setIssuedTo(String issuedTo) {
		this.issuedTo = issuedTo;
	}
	public String getIssuer() {
		return issuer;
	}
	public void setIssuer(String issuer) {
		this.issuer = issuer;
	}
	public String getEncryptionAlgorithm() {
		return encryptionAlgorithm;
	}
	public void setEncryptionAlgorithm(String encryptionAlgorithm) {
		this.encryptionAlgorithm = encryptionAlgorithm;
	}
	public String getSignAlgorithm() {
		return signAlgorithm;
	}
	public void setSignAlgorithm(String signAlgorithm) {
		this.signAlgorithm = signAlgorithm;
	}
	public String getCertFingerprint() {
		return certFingerprint;
	}
	public void setCertFingerprint(String certFingerprint) {
		this.certFingerprint = certFingerprint;
	}
	public String getPublicKeyPINValue() {
		return publicKeyPINValue;
	}
	public void setPublicKeyPINValue(String publicKeyPINValue) {
		this.publicKeyPINValue = publicKeyPINValue;
	}
	public String getValidityPeriod() {
		return validityPeriod;
	}
	public void setValidityPeriod(String validityPeriod) {
		this.validityPeriod = validityPeriod;
	}
    
    
}
